classification
Title: Use PEP 397 py launcher in windows faq
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: mdk Nosy List: matrixise, mdk, miss-islington, paul.moore, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: low Keywords: easy, patch

Created on 2018-01-21 22:07 by mdk, last changed 2018-11-14 17:20 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5552 merged mdk, 2018-02-05 13:51
PR 10544 merged mdk, 2018-11-14 17:12
PR 10545 merged mdk, 2018-11-14 17:13
Messages (7)
msg310385 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-01-21 22:07
The windows FAQ (https://docs.python.org/3.6/faq/windows.html) uses `python` to launch python, I think it should use the `py` python launcher from pep 397.
msg310797 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-01-26 21:24
I am inclined to believe.  The answer to "How do I run a Python program under Windows?" should include how to use 'py'.  'python' will not work unless the install directory has been added to the path. Of course, 'py' does not work if its installation is unchecked.

The answer also has a box with a useless link (503 Service Unavailable) to a video 'Python Development on XP' that includes adding 'python' to the path.  3.5+ do not run on xp.  This should be removed.
msg311669 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2018-02-05 14:34
Just for my info, what's the origin of 'py' ? and why does 'py' exists?
msg311670 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-02-05 14:37
The py command come from PEP 397, its rational will be more verbose than me [1], but in a nutshell it's a wrapper trying to find the right python according to some heuristics like the shebang.

[1]: https://www.python.org/dev/peps/pep-0397/#rationale
msg329912 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-11-14 15:22
New changeset 64313478bcbd0a708c3ce5d4d14f977da56e4be9 by Julien Palard in branch 'master':
bpo-32613: Update window FAQ (GH-5552)
https://github.com/python/cpython/commit/64313478bcbd0a708c3ce5d4d14f977da56e4be9
msg329917 - (view) Author: miss-islington (miss-islington) Date: 2018-11-14 17:17
New changeset 9053d2f2e09f9583473fb3c1960cba9bda8f3be1 by Miss Islington (bot) (Julien Palard) in branch '3.7':
[3.7] bpo-32613: Update window FAQ (GH-5552). (GH-10544)
https://github.com/python/cpython/commit/9053d2f2e09f9583473fb3c1960cba9bda8f3be1
msg329918 - (view) Author: miss-islington (miss-islington) Date: 2018-11-14 17:19
New changeset 137da0c5300c0a196084ab9efa61d116304de224 by Miss Islington (bot) (Julien Palard) in branch '3.6':
[3.6] bpo-32613: Update window FAQ (GH-5552). (GH-10545)
https://github.com/python/cpython/commit/137da0c5300c0a196084ab9efa61d116304de224
History
Date User Action Args
2018-11-14 17:20:01mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-14 17:19:19miss-islingtonsetmessages: + msg329918
2018-11-14 17:17:37miss-islingtonsetnosy: + miss-islington
messages: + msg329917
2018-11-14 17:13:56mdksetpull_requests: + pull_request9793
2018-11-14 17:12:23mdksetpull_requests: + pull_request9792
2018-11-14 15:22:31mdksetmessages: + msg329912
2018-02-05 14:37:36mdksetmessages: + msg311670
2018-02-05 14:34:43matrixisesetnosy: + matrixise
messages: + msg311669
2018-02-05 13:51:21mdksetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5376
2018-01-26 21:24:37terry.reedysetnosy: + terry.reedy
messages: + msg310797
2018-01-26 21:17:07terry.reedysetnosy: + paul.moore, tim.golden, steve.dower, zach.ware
components: + Windows
2018-01-21 22:07:09mdkcreate